# mkdark.cl -- make dark image
#
# 950329: added option for input list
# 990202: should now work with any image extension and/or naming convention
# 990219: added logfile option
# 000521: changed "rej" param in imcombine to "reject"

procedure mkdark(rootname,outname,titlestring)

string rootname 	{prompt = "Root name of images to coadd (or @list)"}
string outname 		{prompt = "Name of coadded dark image"}
string titlestring	{prompt = "Title for coadded dark image"}
string logfile=""	{prompt = "Logfile for imcombine output"}

begin

string root, oout, tstring, log_file

root = rootname
oout = outname
tstring = titlestring
log_file = logfile

if(substr(root,1,1)=="@"){
	imcombine (rootname, oout, logfile=log_file, combine="average", reject="minmax", masktyp="none", nlow=1, nhigh=1, scale="none", zero="none", weight="none")
}
else{
	imcombine(root//"*", oout, logfile=log_file, combine="average", reject="minmax", masktyp="none", nlow=1, nhigh=1, scale="none", zero="none", weight="none")
}

hedit (oout, "title", tstring, add+, ver-, show-, update+)

end

