procedure sctv(image, frame)

# Display an image with display range scaled to full range of image values
#
# 931123: modified to include more optional display parameters. -- MD
# 950216: switch from min,max=0,1 to =min,max in image
# 970506: modified to avoid IRAFV2.10 bug with some *.pl and minmax

string	image	{prompt="Mask image to be displayed"}
int	frame	{min=1,max=4,prompt="Frame buffer for image display"}
bool	fill	{no,prompt="Scale image to fit display window?"}
real	xcenter	{0.5,prompt="display window horizontal center"}
real	ycenter	{0.5,prompt="display window vertical center"}
real	xsize	{1.,prompt="display window horizontal size"}
real	ysize	{1.,prompt="display window horizontal size"}
real	xmag	{1.,prompt="display window horizontal magnification"}
real	ymag	{1.,prompt="display window horizontal magnification"}

begin

real maxv, minv

# replaced next line due to bug for *.pl files with large pos or neg values
#minmax (image,force+,update-,ver-); maxv=real(minmax.maxval); minv=real(minmax.minval)
imstat (image,fields="min,max",format-) | scan (minv,maxv)
display (image,frame,zsc-,zra-,z1=minv,z2=maxv,fill=fill,xcenter=xcenter,ycenter=ycenter,xsize=xsize,ysize=ysize,xmag=xmag,ymag=ymag,ztrans="linear",order=0)

end
